package de.espirit.firstspirit.opt.example.editorialsar.projectapp;

import de.espirit.firstspirit.module.ProjectApp;
import de.espirit.firstspirit.module.ProjectEnvironment;
import de.espirit.firstspirit.module.descriptor.ProjectAppDescriptor;


/**
 * Project application intended to signal to other plug-ins in this module that its functionality should be made available
 * in the current project and to enable project-specific configuration (see {@link EditorialSARProjectAppConfiguration}.
 */
public class EditorialSARProjectApp implements ProjectApp {

	// These constant values must match the project-app definition in the module's module.xml file!
	public static final String MODULE_NAME = "editorialsar";
	public static final String PROJECT_APP_NAME = "EditorialSARProjectApp";


	@Override
	public void init(final ProjectAppDescriptor descriptor, final ProjectEnvironment env) {
	}


	@Override
	public void installed() {
	}


	@Override
	public void uninstalling() {
	}


	@Override
	public void updated(final String oldVersionString) {
	}
}
